%define 	plugindir %{_libdir}/mozilla/plugins
%define 	name	opensc
%define 	version	0.11.4
%define 	release	1
%define 	prefix	/usr

Summary: 	OpenSC implements the PKCS#11 & PKCS#15 API for smart cards
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Vendor: 	StartCom Ltd., http://www.startcom.org
Packager: 	Eddy Nigg <eddy_nigg@startcom.org>
Group:		Applications/System
Url:		http://www.opensc-project.org/opensc/
Source:		http://www.opensc-project.org/files/%{name}-%{version}.tar.gz
Patch0:         %{name}-signer.patch
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}
BuildRequires:  pcsc-lite >= 1.2.9
BuildRequires:  openct-devel >= 0.6.14
BuildRequires:  openssl-devel >= 0.9.7a
Requires:	pcsc-lite >= 1.2.9
Requires:	openct >= 0.6.14
Requires:	openssl >= 0.9.7a
Provides: 	%{name} = %{version}


%description
OpenSC provides a set of libraries and utilities to access smart cards. 
Its main focus is on cards that support cryptographic operations, and 
facilitate their use in security applications such as mail encryption, 
authentication, and digital signature.


%package        devel
Summary:        OpenSC development files
Group:          Development/Libraries
Requires:       %{name} >= %{version}
Requires:       pkgconfig

%description    devel
OpenSC development files.

%package     -n mozilla-opensc-signer
Summary:        Digital signature plugin for web browsers
Group:          Applications/Internet
BuildRequires:  libXt-devel
BuildRequires:  libassuan-devel
Requires:       %{plugindir}
Requires:       %{_bindir}/pinentry

%description -n mozilla-opensc-signer
OpenSC Signer is a plugin for web browsers compatible with Mozilla
plugins that will generate digital signatures using facilities on
PKI-capable smart cards.


%prep
%setup -q
#%patch0 -p1

%build

%configure -q \
	--disable-dependency-tracking \
  	--with-plugin-dir=%{plugindir} \
  	--with-pin-entry=%{_bindir}/pinentry \
	--disable-rpath 

make %{?_smp_mflags}


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

install -dm 755 $RPM_BUILD_ROOT%{plugindir}

%makeinstall
mkdir $RPM_BUILD_ROOT/etc
install -Dpm 644 etc/opensc.conf $RPM_BUILD_ROOT%{_sysconfdir}/opensc.conf
mv $RPM_BUILD_ROOT%{_libdir}/opensc-signer.* $RPM_BUILD_ROOT%{plugindir}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/*
%{_libdir}/*
%config(noreplace) %{_sysconfdir}/opensc.conf

%files -n mozilla-opensc-signer
%defattr(0755,root,root,0755)
%{plugindir}/opensc-signer.so

%files devel
%defattr(-,root,root,-)
%doc doc/* COPYING
%{_bindir}/opensc-config
%{_includedir}/*
%{_mandir}/man1/opensc-config.1*
%{_mandir}/man3/*.3*


%changelog
* Fri May 9 2008 Eddy Nigg <eddy_nigg@startcom.org>
- Update to latest
* Sat Mar 18 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Upgrade to 0.10.1 release
- Add build req. for openct-devel
- Signer patch
* Fri Nov 18 2005 StartCom Ltd., Eddy Nigg <eddy_nigg@startcom.org>
- Initial build
